#ifndef GeneraterH
	#define GeneraterH

//#include <vcl.h>

#include <boost/noncopyable.hpp>
#include <stdversion.h>

#include "TDCDML\TDCDML.h"
#include "Headers\sAPI_Structures.h"
#include "Headers\sAPI_Error.h"
#include "Headers\ProfileControler.h"
#include "UnitConvert\UnitConverter.h"

extern unsigned char GetPersonalSetting(unsigned char p);
extern unsigned char GetAltitudeSetting(unsigned char p);


class OutputGenerater : boost::noncopyable
 {
     protected:
     	friend unsigned char GetPersonalSetting(unsigned char p);
		friend unsigned char GetAltitudeSetting(unsigned char p);
        const int m_Model;
	 public:
		OutputGenerater(int m) : m_Model(m) {}
        int Model() const throw() { return m_Model; }
		virtual ~OutputGenerater() {}
		virtual void Generate(DCDMLDocument& Doc)=0;
 };

#endif
