#ifndef XMLDUMPH
   #define XMLDUMPH
   
#include <windows.h>
#include <string>
#include "DCDML\TDCDML\tdcdml.h"
#include "BasicUnitConversion.h"

#ifdef SUUNTOAPI_EXPORTS
#define SUUNTOAPI_API __declspec(dllexport)
#else
#define SUUNTOAPI_API __declspec(dllimport)
#endif



#include "Headers\SuuntoAPIDiveStruct.h"
#include "TControlClasses\TProfileControl\ProfileControler.h"
#include "DCDML\DCDMLdump.h"

typedef int (*divedatafetchroutine)(DIVE_DATA *);

#ifdef __cplusplus
    extern "C" { 
#endif 
void  SUUNTOAPI_API __stdcall sAPI_ConvertDataToXML(const wchar_t *,pCOMP_DATA,unsigned short ver);
#ifdef __cplusplus
    }
#endif

char *buildserialnumber(void);
void  BuildXMLCompData(void);
int parcedivedata(pDIVE_DATA DiveData);
unsigned char GetPersonalSetting(unsigned char p);
unsigned char GetAltitudeSetting(unsigned char p);
void  DoVersion2XMLOutput(pCOMP_DATA data);
void buildxmldive(DCDML_Node Node,pDIVE_DATA d);
int fetchdepthFT(int D);
void buildXMLevent(DCDML_Node N,TEvent*E);

#endif

