/*
    
    sAPI_Error.cpp -  Error code constants
    
    Copyright (C) 2008  by James Connell

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

*/


#include "headers\sAPI_Error.h"

namespace sAPI  {

const wchar_t* const Error::message[] =
   { L"", L"Unknown or System Error", L"Critical Error", L"Runtime Error", L"Can't Get Memory",
	 L"Buffer Overrun", L"Bad Write Parameter", L"Bad Read Parameter",
	 L"Checksum Error", L"Data did not match expected values",
	 L"Can't Set Model", L"Expected Metric, Imperial or Scientific",
     L"Can't Open Comm Port", L"Bad Command Echo", L"Error on Write",
     L"Error on Read", L"Invalid Sample Rate", L"The Interface Was Not Detected",
     L"Device Timed Out", L"Stack Underflow", L"Stack Overflow",
     L"Comm Port Not Open", L"No Comm Port Specified", L"Address Out of Range",
     L"Bad Instruction"
  };

const wchar_t * const User_Cancel::_CS(L"Canceled");
}
