/*
    
    sAPI_Helper.cpp -  "freind" routines for various classes
    
    Copyright (C) 2008  by James Connell

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

*/

unsigned char HighByte(unsigned int _A) throw()
		{ return (unsigned char)((_A >> 8) & 0xFF);  }
unsigned char LowByte(unsigned int _A) throw()
		{ return (unsigned char)(_A & 0xFF);  }

unsigned char GetPersonalSetting(unsigned char p) throw()
	 { 	return (p & 0x0F) / 3; 	 }
unsigned char GetAltitudeSetting(unsigned char p) throw()
	 {  return (p & 0x0F) % 3;   }

#ifdef USE_TRACE
 char errorbuffer[200];
#endif

// ToDo: change this to auto adjust for MSB/LSB Words.	 
unsigned short MakeWord(unsigned char *c) throw()
 {
	unsigned short t(c[1]);
	t = t<<8;
	t |=  (unsigned short)c[0];
	return t;
 }

