#ifndef GeneraterT1H
	#define TGeneraterT1H
    #include <vcl.h>

#include "Headers\Generater.h"

class OutputGeneraterT1 : public OutputGenerater
 {
    protected:
		DCDML_Node body;
		DCDML_Node dives;
		DCDML_Node devicenode;
		pDEVICE_DATA fDeviceInfo;
		DIVES *fDives;
		void buildsettingstag(DCDML_Node Node,int t,const char *data) throw();
		virtual void BuildDeviceData(void)=0;
        static  char *  OutputGeneraterT1::DeviceDatastrings[];
        static  char *  OutputGeneraterT1::DiveDatastrings[];
		static  char *  OutputGeneraterT1::bookmark[];
		
	public:
		OutputGeneraterT1(pDEVICE_DATA p,DIVES *d,int m)
			: OutputGenerater(m), fDeviceInfo(p),fDives(d) {}
		virtual ~OutputGeneraterT1() {}
		virtual void Generate(DCDMLDocument& Doc)=0;
 };
 
class OutputGeneraterT1D1 : public OutputGeneraterT1
 {
	private:
		double fDepth;
		AnsiString s;
		AnsiString buildserialnumber(unsigned char *data);
		int parcedivedata(DIVE DiveData);
		void BuildDeviceData(void);

	public:
		OutputGeneraterT1D1(pDEVICE_DATA p,DIVES *d,int m) : OutputGeneraterT1(p,d,m),fDepth(0) {}
		~OutputGeneraterT1D1(){}
		virtual void Generate(DCDMLDocument& Doc);
 };

class OutputGeneraterT1D2 : public OutputGeneraterT1
 {
	private:
		TProfileControl *PC;
		AnsiString s;
		void parcedivedata(DIVE Dive);
		void BuildDeviceData(void);
		void buildXMLevent(DCDML_Node N,TProfileControl::TEvent* E);
		int fetchdepthFT(int Datum);
		void buildxmldive(DCDML_Node Node,DIVE d);
		void setvariables(TProfileControl& P,int& MD,int &ST,int &ET,int &DT);
		AnsiString buildserialnumber(unsigned char * sn);

	public:
		OutputGeneraterT1D2(pDEVICE_DATA p,DIVES *d,int m) : OutputGeneraterT1(p,d,m), PC(0) {}
		~OutputGeneraterT1D2(){ if(PC) delete PC;}
		virtual void Generate(DCDMLDocument& Doc);
 };
 
#endif


