#ifndef XMLDUMPH
   #define XMLDUMPH
   
#include <windows.h>
#include <string>
#include <cstring>
#include <cstdio>
#include <fstream>
#include <cstdlib>
#include <malloc.h>
#include <cmath>


#ifdef SUUNTOAPI_EXPORTS
#define SUUNTOAPI_API __declspec(dllexport)
#else
#define SUUNTOAPI_API __declspec(dllimport)
#endif



#include "Headers\SuuntoAPIDiveStruct.h"

typedef int (*divedatafetchroutine)(DIVE_DATA *);

#ifdef __cplusplus
    extern "C" { 
#endif 
void  SUUNTOAPI_API __stdcall sAPI_ConvertDataToXML(const wchar_t *,pCOMP_DATA,unsigned short ver);
#ifdef __cplusplus
    }
#endif
void MakeXMLTag(const std::string c,const unsigned char x);
void MakeXMLTag(const std::string c,const char x);
void MakeXMLTag(const std::string c,const unsigned short x);
void MakeXMLTag(const std::string c,const unsigned char *x);
void MakeXMLTag(const std::string c,const char *x);
void MakeXMLFlagEventTag(const std::string c);

char *buildserialnumber(void);
void  BuildXMLCompData(void);
int parcedivedata_V0(pDIVE_DATA DiveData);
int parcedivedata_V1(pDIVE_DATA DiveData);
unsigned char GetPersonalSetting(unsigned char p);
unsigned char GetAltitudeSetting(unsigned char p);

#endif

