
#include "Headers\GeneraterT1.h"
#include "Headers\sAPI_Helper.h"

 char *  OutputGeneraterT1::DeviceDatastrings[] = { "MaxDepth","TotalDiveTime","TotalDives",
"ComputerModel","FirmwareVersion.major","SerialNumber", "UnknownData1", "PersonalInfo",
"UnknownData2", "RingBufferPTR", "SampleInterval", "PersonalSetting",
"AltitudeSetting", "MaxFreeDiveDepth", "MaxFreeDiveTime","UnknownData4","Clock", "Units",
"Mode", "Light", "AlarmEnables", "AlarmTime","AlarmDepth", "UnknownData5","RGBM" };

  char *  OutputGeneraterT1::DiveDatastrings[] = { "SurfaceIntervalMinutes","SurfaceIntervalHours",
"DiveNumber", "SampleInterval", "PersonalSetting", "StartingPressure",
"GasMix", "FO2", "StartingAirTemp", "Year","Month", "Day", "Hour", "Minute",
"TempAtDepth", "EndingTemp", "EndingPressure", "CNSClock","AltitudeSetting"};

 char *  OutputGeneraterT1::bookmark[] = { "N1","Slow","Violation","User","Surface","Deco","Ceiling","End","Stop","EOD","Workload","N2","ColdWater","N3","GasSwitch","Heading"};

void OutputGeneraterT1::buildsettingstag(DCDML_Node Node,int t,const char * const data) throw()
 {
	DCDML_Node XNode(Node->AddChild(DeviceDatastrings[t]));
	XNode->AddText(data);
 }


